Net::Write::Layer2(3)

NAME
Net::Write::Layer2 - object for a link layer (layer 2) descriptor

SYNOPSIS
   use Net::Write::Layer2;

   my $desc = Net::Write::Layer2->new(
      dev => 'eth0',
   );

   $desc->open;
   $desc->send('G'x666);
   $desc->close;

DESCRIPTION
This is the class for creating a layer 2 descriptor.

ATTRIBUTES

dev The string specifying network interface to use.

    Under Unix-like systems, this is in this format: \w+\d+ (example: eth0).

    Under Windows systems, this is more complex; example: \Device\NPF_{0749A9BC-C665-4C55-A4A7-34AC2FBAB70F}

METHODS

new Object constructor. You MUST pass a valid dev attribute. There is no default value. Returns undef on error.

open
    Open the interface. Returns undef on error.

send (scalar)
    Send raw data to the network.

close
    Close the descriptor.

CAVEATS
Writing junk to loopback interface on BSD systems will not work.

SEE ALSO
Net::Write::Layer

AUTHOR
Patrice <GomoR> Auffret

COPYRIGHT AND LICENSE
Copyright (c) 2006-2012, Patrice <GomoR> Auffret

You may distribute this module under the terms of the Artistic license. See LICENSE.Artistic file in the source distribution archive.